<?php

namespace Drp\SimpleCms\Contracts;

use Drp\SimpleCms\Content;

interface ContentFactory
{
    public function latestVersionByTypeAndContentId(string $contentType, int $contentId): Content;

    public static function byTypeAndVersionId(string $contentType, int $versionId): Content;

    public static function makeContentClass(string $contentType): Content;

    public static function contentLabel(string $contentType, ?bool $plural = null, ?bool $lowerCase = null): string;
}
