<?php

namespace Drp\SimpleCms\Generators\Crud;

use Drp\SimpleCms\Generators\Crud\Simple\Admin\Menu;
use Drp\SimpleCms\Generators\Crud\Simple\Admin\Route;
use Drp\SimpleCms\Generators\Crud\Simple\Policy;
use Drp\SimpleCms\Generators\Crud\Simple\Template;

class Simple
{
    public static function create(string $name): void
    {
        Template::create($name);
        Policy::create($name);
        Route::create($name);
        Menu::create($name);
    }
}
