<?php

namespace Drp\SimpleCms\Http\Middleware;

use Closure;
use Drp\SimpleCms\Scopes\PublishedScope;

class Published
{
    /**
     * @param  mixed $request
     * @return mixed
     */
    public function handle($request, Closure $next)
    {
        if (!preview_mode_enabled()) {
            collect(config('simple_cms.content_types'))
                ->each(function ($study): void {
                    $study::addGlobalScope(new PublishedScope);
                });
        }

        return $next($request);
    }
}
